Subject: Re: Fwd: Invoice #17193647
From: "Michael B" <[email-masked]>
To: "Customer Service" <[email-masked]>
Date: Mon, 15 Jan 2018 10:08:40 -0500

Hello.
Both the phone number and email are incorrect so if anyone used them, they would not work. I am trying to determine where this file would be. Is it something that is uploaded or is it sent to us? If it is sent to us, where (who) is it being sent to? Since the information on the invoice is not completely correct, I am concerned the file is going to the wrong place. If you do have someone call us, please call on our main Customer Service number at 877-321-4144.
Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355

From: Customer Service 
Sent: Friday, January 12, 2018 11:41 AM
To: [email-masked] 
Subject: Re: Fwd: Invoice #17193647

Michael,

We have been unable to contact you by telephone, please give us a call at 203-653-2762.

The invoice is for the Ported Number file.  Also, we need to have the attached agreement completed/signed prior to 3/4/2018 or we will not be able to continue sending you the Ported Number file.

Please let me know if you have any questions.

Thank you.

Frank

On 1/11/2018 7:22 PM, Customer Service wrote:

  Sent from my iPhone

  Begin forwarded message:

    From: "Michael B" <[email-masked]>
    Date: January 11, 2018 at 3:38:13 PM CST
    To: <[email-masked]>
    Subject: Invoice #17193647

    Hello.
    We received an invoice from your company and need to get an explanation of services for this. I have called and left 2 voicemails but have not gotten a call back. The contact the for this account is no longer with our company so we are not able to verify if this is still a needed service for our company. Please contact me asap so that we can resolve this matter.
    Thank you,
    Michael Bishop
    Operations Manager
    Labor Law Poster Service (LLPS)
    877-321-4144 x355

       Virus-free. www.avg.com